Subject: Re: [PATCH 2/5] l10n: de.po: translate "track" as "folgen"

From: Thomas Rast <[email-masked]>
Date: Mon, 7 May 2012 12:09:38 +0200

Christian Stimming <[email-masked]> writes:

> Am Freitag, 4. Mai 2012, 21:48:23 schrieb Ralf Thielow:
>> The word "track" was translated as "verfolgt"
>> which is not the correct word for it. We've
>> changed it to "folgen".
>
> I'm not so sure about this choice. We're talking about files which are tracked 
> by git (i.e. being versioned) vs. files or content that are not tracked, i.e. 
> those are just existing in the working copy's directory but are not tracked by 
> git. I think from the point of view of git, the content of the files is being 
> "verfolgt" vs. "nicht verfolgt", as git checks whether the content is changing 
> vs. git doesn't check this. Saying "folgen" here rather sounds like git is 
> following something, just as your twitter account is following other 
> twitterers. Consider a choicebox "Änderungen dieser Datei verfolgen" vs. 
> "Änderungen dieser Datei folgen". In the former case, git is the subject and 
> it is tracking the file's content. In the latter case, the file is the subject 
> and git is triggered into some action when the file content changes. I think 
> the former fits the use case more.

Good point.  In addition, both "folgen" and "verfolgen" have the problem
that several derived words sound funny; e.g. "verfolgt" and "folgend".

How about "beobachten" (for the English readers, roughly "observe") or
"beachten" ("pay attention to") for this meaning of tracking?  The
latter even forms a nice group with "unbeachtet" and "ignoriert".

You could use "folgen" in the remote-tracking sense instead?

-- 
Thomas Rast
trast@{inf,student}.ethz.ch